/*Changes done to make dynamik header for jqxgrid*/
@media (max-width:1700px) {
    #customHeaderHeightDiv .jqx-grid-column-header div div span; {
        white-space: pre-wrap;
        word-wrap: break-word;
        padding-left: 1px;
    }
}

/*pull-down-details*/
@media (max-width:1600px) {
    .pull-down-details {
        float: none;
    }
}

/*----end-------*/
@media (max-width:1490px) {
    .customBtnStyleLbl {
        white-space: normal;
        padding: 2px !important;
        height: 45px;
    }
}

@media (max-width:1200px) {
    .innermain {
        display: block;
    }

    .flip-box .front {
        left: 20px;
        right: 20px;
    }

    .customBtnStyle {
        padding: 2px !important;
    }
}

@media (max-width:1024px) {
    a .ic-btn {
        font-size: 0;
        line-height: 0;
        padding: 0 0 0 32px;
    }

        a.ic-btn span {
            border-right: 0;
        }

    a.ic-btn-sur {
        font-size: 0;
        line-height: 0;
        padding: 0 0 0 32px;
    }

        a.ic-btn-sur span {
            border-right: 0;
        }

    /* width */
    ::-webkit-scrollbar {
        width: 10px;
    }

    /* Track */
    ::-webkit-scrollbar-track {
        background: #f1f1f1;
        border: solid 1px #d0dbe6;
    }

    /* Handle */
    ::-webkit-scrollbar-thumb {
        background: #999;
    }

        /* Handle on hover */
        ::-webkit-scrollbar-thumb:hover {
            background: #555;
        }
}

@media (max-width:991px) {
    .page-heading {
        padding: 40px 0 0 15px;
    }

    .top-pad-0 {
        padding-top: 0 !important;
    }

    .actions li a {
        padding: 15px 10px 5px;
    }

    .dashboard-content .dashboard-listing {
        padding-bottom: 40px;
    }

    .overwiew-twocol-list, .three-column {
        max-width: 600px;
        margin: 0 auto;
    }

    .cus {
        display: none;
    }
}

@media (min-width:768px) {
    .dropdown-menu {
        height: auto !important;
    }

    #main-nav {
        display: block !important;
        height: 40px !important;
    }

    #photoImage {
        width: 140px;
        height: 100px;
    }
}

@media (max-width:767px) {
    .menu-open {
        overflow: hidden;
    }

    .main-nav-block .main-nav-icon, .page-icon {
        display: block !important;
    }

    .nav-icon {
        border-right: solid 1px #35aedb;
    }

    #main-nav {
        position: absolute;
        top: 100%;
        left: 0;
        background: #0094cc;
        width: 100%;
        border-top: solid 1px #35aedb;
        border-left: 0;
        display: none;
        overflow: auto;
        -webkit-overflow-scrolling: touch;
    }

        #main-nav ul {
            width: auto !important;
            margin: 0;
        }

        #main-nav li {
            float: none;
        }

            #main-nav li a {
                font-size: 14px;
                height: auto;
                padding: 8px 10px;
            }

    .header-left .logo {
        padding-right: 0;
        margin-right: 0;
        border: 0;
        min-height: 60px;
    }

        .header-left .logo img {
            width: 100px;
        }

    .cus {
        display: none;
    }

    #header {
        padding: 5px;
    }

        #header .content-block {
            padding: 0 5px;
            min-height: 52px;
        }

    .person-detail h4 {
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        padding: 16px 0 0;
    }

    .person-detail p {
        display: none;
    }

    .page-heading {
        padding: 40px 0 0;
    }

        .page-heading .left-part {
            float: none;
            padding: 10px;
        }

    .breadcrumbs {
        display: none;
    }

    .actions {
        float: none;
        border-top: solid 1px #d0dbe6;
        display: table;
        width: 100%;
    }

        .actions li {
            height: 40px;
            display: table-cell;
            float: none;
        }

            .actions li:first-child {
                border-left: 0;
            }

            .actions li a {
                min-height: auto;
                padding: 10px 0;
            }

                .actions li a span {
                    display: none;
                }

                .actions li a img {
                    margin: 0 auto;
                }

    .filter-form {
        padding-bottom: 15px;
        margin-right: 0;
    }

        .filter-form .form-control {
            width: 100% !important;
        }

    .filter-form .btn {
        margin-left: 0;
        margin-right: 7px;
    }

    .doc-type {
        padding: 10px 0;
    }

    .table-responsive {
        margin-bottom: 0;
    }

    .likertscale .table-responsive {
        overflow: auto !important;
        border: none !important;
    }

    .grid-footer-inner {
        float: none;
    }

        .grid-footer-inner .form-group, .grid-footer-inner .form-control {
            display: inline-block;
            margin-bottom: 0;
            vertical-align: middle;
        }

    .main-nav-block .dropdown-menu {
        border: 0;
        border-radius: 0;
        -moz-border-radius: 0;
        -webkit-border-radius: 0;
    }

    .main-menu > li {
        width: 25%;
    }

    .scroll-box, .sub-menu .scroll-box {
        max-height: inherit;
    }

    .bktop img,
    .bkbtm img {
        width: 16px;
    }

    .dashboard .header-left .logo {
        border-right: 0;
    }

    .dashboard #header p {
        display: none;
    }

    .dashboard .header-right h4,
    .survey-public .header-right h4 {
        max-width: 135px;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        padding: 15px 0 0;
    }

    .control-value, .form-horizontal .checkbox, .form-horizontal .checkbox-inline, .form-horizontal .radio, .form-horizontal .radio-inline {
        padding-top: 0;
    }

    .content-outer {
        padding-right: 0;
    }

    .sidebar {
        position: static;
        width: auto;
        margin-top: 15px;
        margin-bottom: 10px;
    }

    .slide-panel {
        border-right: solid 1px #d0dbe6;
    }

    .sidebar-content {
        padding: 15px;
    }

    .db_btn {
        padding-top: 10px !important;
    }

    .db-new {
        padding-top: 0;
    }

    .tag-form {
        padding: 0 0 10px;
    }

        .tag-form > label, .tag-form .btn-box {
            position: static;
        }

        .tag-form .btn-box {
            padding-top: 10px;
        }

    .entry-page #wrapper {
        padding-top: 67px;
    }

    .profile-header {
        padding: 10px 30px 10px 66px;
    }

        .profile-header .edit-detail span {
            display: none;
        }

    .profile-detail li {
        float: none;
        padding-right: 0;
    }

    #photoImage {
        width: 100px;
        height: 52px;
    }

    #div_signature_preview {
        width: auto !important;
        height: auto !important;
    }

        #div_signature_preview img {
            width: 100%;
        }
}

@media (max-width:560px) {
    .person-detail {
        max-width: 133px;
    }

    .grid-footer-inner .form-group {
        display: block;
        padding-bottom: 5px;
        text-align: center;
    }

        .grid-footer-inner .form-group:last-child {
            padding-bottom: 0;
        }

    .main-menu > li {
        width: 33.33%;
    }

    .overwiew-twocol-list, .three-column {
        max-width: 320px;
    }

    .dashboard .header-right h4,
    .survey-public .header-right h4 {
        font-size: 12px;
    }

    #photoImage {
        width: 100px;
        height: 52px;
    }

    .likertscale .table-responsive {
        overflow: auto !important;
        border: none !important;
    }
}

@media (max-width:545px) {
    .login-block {
        width: 96%;
        margin-left: 2%;
        left: 0;
    }

    #photoImage {
        width: 100px;
        height: 52px;
    }

    .form-entry-custWidth {
        width: 99% !important;
    }

    .BtnAssessmentForm {
        white-space: normal;
        word-break: break-word;
    }

    .likertscale .table-responsive {
        overflow: auto !important;
        border: none !important;
    }
}

/* Additional container max width breakpoint based on screen min width */
/* general container */
@media screen and (min-width:1366px) {
    .container {
        max-width: 1300px;
    }
}

@media screen and (min-width: 1400px) {
    .container {
        max-width: 1380px;
    }
}

@media screen and (min-width: 1440px) {
    .container {
        max-width: 1400px;
    }
}

@media screen and (min-width: 1600px) {
    .container {
        max-width: 1580px;
    }
}

@media screen and (min-width: 1680px) {
    .container {
        max-width: 1600px;
    }
}

@media screen and (min-width: 1800px) {
    .container {
        max-width: 1750px;
    }
}

@media screen and (min-width: 1856px) {
    .container {
        max-width: 1800px;
    }
}

@media screen and (min-width: 1920px) {
    .container {
        max-width: 1900px;
    }
}

@media screen and (min-width: 2048px) {
    .container {
        max-width: 2000px;
    }
}

/* dashboard container */
@media (min-width: 576px) {
    .dashboard-container {
        max-width: 540px;
    }
}

@media (min-width: 768px) {
    .dashboard-container {
        max-width: 720px;
    }
}

@media (min-width: 992px) {
    .dashboard-container {
        max-width: 960px;
    }
}

@media (min-width: 1200px) {
    .dashboard-container {
        max-width: 1140px;
    }
}
